R4 and 3in1 expansion pack

Discussion in 'R4 DS' started by WeStar, Mar 6, 2008.

  1. WeStar
    OP

    WeStar Newbie

    Newcomer
    1
    Mar 6, 2008
    Canada
    T.O.
    Hi Guys,
    I'm pretty new to this and I did quite a bit of searching on the net as well as on these forums but I still haven't found the solution to my problem. I recently got the EZflash V and using the expansion tool 1.9D with R4 1.15 I can get most GBA games to work but some games give me problems and I was wondering if maybe patching them was required. all super mario advance games 1-4 give me a "save file is corrupt" message and don't load, aero the acrobat goes to a black screen and bubble bobble old and new loads but after selecting english it goes to a white screen. Anyone know why this is happening and how I can fix it? Hope this hasn't been answered before as I couldn't find any threads.
     
  2. InuYasha

    InuYasha Professional Coke Fiend

    Member
    3
    Dec 8, 2007
    United States
  3. WeStar
    OP

    WeStar Newbie

    Newcomer
    1
    Mar 6, 2008
    Canada
    T.O.
    looks like the sram patch from gbata fixed the super mario advance error, eventhough super mario advance 4 still says save is corrupt at the beginning after doing reading. I'll try to play around with NOR mode see if that fixes 100%. thanks alot wile, can't belive how much time I spent looking to try to find a fix for this and it turns out to be something this simple!
     
  4. mokyurin

    mokyurin Newbie

    Newcomer
    1
    May 29, 2007
    United States
    Try this
    http://gbatemp.net/index.php?showtopic=76969

    Do not sram patch before you write gba games to microSD cards.
    This loader will take care of all sram patch and super mario 4 runs perfect.
    This is only loader I know which have perfect super mario 4 compatibility.
     
  5. WeStar
    OP

    WeStar Newbie

    Newcomer
    1
    Mar 6, 2008
    Canada
    T.O.
    thanks moky, I guess this gbaloader replaces the 3in1 expansion tool app then, looks like another one is in the works, I'll wait a bit more for the 0.5 to come out before I start using it since I got those games that were giving me problems to work with gbata patching.
     
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice